Article ID: 115176, created on Nov 21, 2012, last review on Aug 30, 2015

  • Applies to:
  • Operations Automation

Symptoms

Installation of the OA package SharePoint2010 fails with the error message like provided below:

Destination host_id #123 : Internal error: Error on depends checking - ""Microsoft SharePoint 2010": "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shared Tools\Web Server Extensions\14.0" - have not consistent setting

Cause

SharePoint Foundation server does not have the required vesion of SharePoint 2010 SP1 with Cumulative Update installed.

Resolution

Install Microsoft SharePoint Foundation 2010 SP1 + June 2011 Cumulative Update on the SharePoint server and try to install POA package after that. It may happen that SharePoint 2010 and all required updates are installed, however the version in registry is not set to the correct value. If this is the case, check the installed SharePoint Foundation version by executing the following command in the SharePoint 2010 Management Shell on a SharePoint server:

(Get-SPFarm).BuildVersion

and, if version is correct, update the registry value HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Shared Tools\Web Server Extensions\14.0\Version to the format 14.0.0.BUILD, where BUILD is the field returned by the command in the Management Shell. Try to install OA package again after that.

Search Words

Microsoft SharePoint Foundation

have not consistent setting

caea8340e2d186a540518d08602aa065 5356b422f65bdad1c3e9edca5d74a1ae e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF